> ## Documentation Index
> Fetch the complete documentation index at: https://doc.haipay.net/llms.txt
> Use this file to discover all available pages before exploring further.

# TZS Collection Query

<div class="flex flex-col gap-4">
  <div class="api-section-heading flex flex-col gap-y-4 w-full">
    <div class="flex items-baseline border-b pb-2.5 border-gray-100 dark:border-gray-800 w-full">
      <h4 class="api-section-heading-title flex-1 mb-0">Secret Key & Private Key (Generate Signature)</h4>
    </div>

    <div />
  </div>

  <input id="secret-key" placeholder="Secret Key" class="px-3 py-2 border rounded-md" />

  <input id="private-key" placeholder="Private Key" class="px-3 py-2 border rounded-md" />
</div>

## Related Topics

* [Tanzania Payment API](/docs/en/api/version2/Tanzania)
* [HaiPay API Reference Overview](/docs/en/api-reference/overview)
* [HaiPay Configuration and Signature Guide](/docs/en/guide/config_settings_and_signature_rules_guide)


## OpenAPI

````yaml docs/en/api-reference/tzs/tzs.openapi.json POST /tzs/collect/query
openapi: 3.0.1
info:
  title: 默认模块
  description: ''
  version: 1.0.0
servers:
  - url: https://uat-interface.haipay.asia
    description: 测试-interface
security: []
tags: []
paths:
  /tzs/collect/query:
    post:
      tags: []
      summary: TZS Collection Query
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                appId:
                  type: integer
                  description: >-
                    Business ID (obtained from backend, needs to pass the
                    corresponding Business ID based on the currency in the URL)
                orderId:
                  type: string
                  description: Merchant order number
                orderNo:
                  type: string
                  description: Platform order number (faster response)
                sign:
                  type: string
                  description: Signature
              required:
                - appId
                - orderId
                - sign
            example:
              appId: 1054
              orderId: M233323000059
              orderNo: P233323000059
              sign: >-
                af0gAHkUOyYHu9owQp8NJ4mPEeUW4vuJcjdxqLIzrVw8AvpLSjD1DXupReSG/CyuSkFRyiIvCp5u703AuGGmfgD2gKDH3Ywau41bAbG2jnHJ8mtjiSJ5iWUzanyd4Kr7d1+rETbzUl7/BkW3t0X8UUFdqpxwG8DPUjAwUKfplWDHV7koG51Ozexd80DCsmW6eWdouAZ1uNXGLYmV3ftE3BmfNRtuv1C5bfTJWrTEIOxbF6g2uYOFZTlIgrQgd7/2PsAYwQQXNz8Q8CYl4OxqCv4pXJxaLWPbR5tqZu9og5kn32C9aHW/NlU1y39vzz+4ef81yPAqUV9oHlSMSPrMmw==
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: '1: Normal, 0: Exception'
                  error:
                    type: string
                    description: Error code
                  msg:
                    type: string
                    description: Error description
                  data:
                    type: object
                    properties:
                      orderId:
                        type: string
                        description: Merchant order number (must be unique)
                      orderNo:
                        type: string
                        description: Platform order number
                      amount:
                        type: string
                        description: Transaction amount
                      actualAmount:
                        type: string
                        description: Received amount
                      fee:
                        type: string
                        description: Transaction fee
                      status:
                        type: integer
                        description: >-
                          Status (0 Not Started, 1 In Progress, 2 Success
                          (final), 3 Failed (final), -1 Exception Pending
                          Confirmation)
                      payTime:
                        type: string
                        description: >-
                          Payment success time (when status=2), format:
                          yyyy-MM-dd HH:mm:ss (East Africa Time)
                      errorMsg:
                        type: string
                        description: Payment failure reason (when status=3)
                      sign:
                        type: string
                        description: Signature
                    additionalProperties: true
                additionalProperties: true
              example:
                status: '1'
                error: '00000000'
                msg: success
                data:
                  orderId: M233323000059
                  orderNo: '6023071013539074'
                  amount: '5000.00'
                  actualAmount: '4950.00'
                  fee: '50.00'
                  status: 1
                  payTime: '2025-07-30 14:30:00'
                  errorMsg: ''
                  sign: >-
                    af0gAHkUOyYHu9owQp8NJ4mPEeUW4vuJcjdxqLIzrVw8AvpLSjD1DXupReSG/CyuSkFRyiIvCp5u703AuGGmfgD2gKDH3Ywau41bAbG2jnHJ8mtjiSJ5iWUzanyd4Kr7d1+rETbzUl7/BkW3t0X8UUFdqpxwG8DPUjAwUKfplWDHV7koG51Ozexd80DCsmW6eWdouAZ1uNXGLYmV3ftE3BmfNRtuv1C5bfTJWrTEIOxbF6g2uYOFZTlIgrQgd7/2PsAYwQQXNz8Q8CYl4OxqCv4pXJxaLWPbR5tqZu9og5kn32C9aHW/NlU1y39vzz+4ef81yPAqUV9oHlSMSPrMmw==
          headers: {}
      deprecated: false
      security: []

````